/*
 * WorldEdit, a Minecraft world manipulation toolkit
 * Copyright (C) sk89q <http://www.sk89q.com>
 * Copyright (C) WorldEdit team and contributors
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package com.sk89q.worldedit.world.item;

import javax.annotation.Nullable;

public final class ItemTypes {

    public static final ItemType ACACIA_BOAT = register("minecraft:acacia_boat");
    public static final ItemType ACACIA_BUTTON = register("minecraft:acacia_button");
    public static final ItemType ACACIA_DOOR = register("minecraft:acacia_door");
    public static final ItemType ACACIA_FENCE = register("minecraft:acacia_fence");
    public static final ItemType ACACIA_FENCE_GATE = register("minecraft:acacia_fence_gate");
    public static final ItemType ACACIA_LEAVES = register("minecraft:acacia_leaves");
    public static final ItemType ACACIA_LOG = register("minecraft:acacia_log");
    public static final ItemType ACACIA_PLANKS = register("minecraft:acacia_planks");
    public static final ItemType ACACIA_PRESSURE_PLATE = register("minecraft:acacia_pressure_plate");
    public static final ItemType ACACIA_SAPLING = register("minecraft:acacia_sapling");
    public static final ItemType ACACIA_SLAB = register("minecraft:acacia_slab");
    public static final ItemType ACACIA_STAIRS = register("minecraft:acacia_stairs");
    public static final ItemType ACACIA_TRAPDOOR = register("minecraft:acacia_trapdoor");
    public static final ItemType ACACIA_WOOD = register("minecraft:acacia_wood");
    public static final ItemType ACTIVATOR_RAIL = register("minecraft:activator_rail");
    public static final ItemType AIR = register("minecraft:air");
    public static final ItemType ALLIUM = register("minecraft:allium");
    public static final ItemType ANDESITE = register("minecraft:andesite");
    public static final ItemType ANVIL = register("minecraft:anvil");
    public static final ItemType APPLE = register("minecraft:apple");
    public static final ItemType ARMOR_STAND = register("minecraft:armor_stand");
    public static final ItemType ARROW = register("minecraft:arrow");
    public static final ItemType AZURE_BLUET = register("minecraft:azure_bluet");
    public static final ItemType BAKED_POTATO = register("minecraft:baked_potato");
    public static final ItemType BARRIER = register("minecraft:barrier");
    public static final ItemType BAT_SPAWN_EGG = register("minecraft:bat_spawn_egg");
    public static final ItemType BEACON = register("minecraft:beacon");
    public static final ItemType BEDROCK = register("minecraft:bedrock");
    public static final ItemType BEEF = register("minecraft:beef");
    public static final ItemType BEETROOT = register("minecraft:beetroot");
    public static final ItemType BEETROOT_SEEDS = register("minecraft:beetroot_seeds");
    public static final ItemType BEETROOT_SOUP = register("minecraft:beetroot_soup");
    public static final ItemType BIRCH_BOAT = register("minecraft:birch_boat");
    public static final ItemType BIRCH_BUTTON = register("minecraft:birch_button");
    public static final ItemType BIRCH_DOOR = register("minecraft:birch_door");
    public static final ItemType BIRCH_FENCE = register("minecraft:birch_fence");
    public static final ItemType BIRCH_FENCE_GATE = register("minecraft:birch_fence_gate");
    public static final ItemType BIRCH_LEAVES = register("minecraft:birch_leaves");
    public static final ItemType BIRCH_LOG = register("minecraft:birch_log");
    public static final ItemType BIRCH_PLANKS = register("minecraft:birch_planks");
    public static final ItemType BIRCH_PRESSURE_PLATE = register("minecraft:birch_pressure_plate");
    public static final ItemType BIRCH_SAPLING = register("minecraft:birch_sapling");
    public static final ItemType BIRCH_SLAB = register("minecraft:birch_slab");
    public static final ItemType BIRCH_STAIRS = register("minecraft:birch_stairs");
    public static final ItemType BIRCH_TRAPDOOR = register("minecraft:birch_trapdoor");
    public static final ItemType BIRCH_WOOD = register("minecraft:birch_wood");
    public static final ItemType BLACK_BANNER = register("minecraft:black_banner");
    public static final ItemType BLACK_BED = register("minecraft:black_bed");
    public static final ItemType BLACK_CARPET = register("minecraft:black_carpet");
    public static final ItemType BLACK_CONCRETE = register("minecraft:black_concrete");
    public static final ItemType BLACK_CONCRETE_POWDER = register("minecraft:black_concrete_powder");
    public static final ItemType BLACK_GLAZED_TERRACOTTA = register("minecraft:black_glazed_terracotta");
    public static final ItemType BLACK_SHULKER_BOX = register("minecraft:black_shulker_box");
    public static final ItemType BLACK_STAINED_GLASS = register("minecraft:black_stained_glass");
    public static final ItemType BLACK_STAINED_GLASS_PANE = register("minecraft:black_stained_glass_pane");
    public static final ItemType BLACK_TERRACOTTA = register("minecraft:black_terracotta");
    public static final ItemType BLACK_WOOL = register("minecraft:black_wool");
    public static final ItemType BLAZE_POWDER = register("minecraft:blaze_powder");
    public static final ItemType BLAZE_ROD = register("minecraft:blaze_rod");
    public static final ItemType BLAZE_SPAWN_EGG = register("minecraft:blaze_spawn_egg");
    public static final ItemType BLUE_BANNER = register("minecraft:blue_banner");
    public static final ItemType BLUE_BED = register("minecraft:blue_bed");
    public static final ItemType BLUE_CARPET = register("minecraft:blue_carpet");
    public static final ItemType BLUE_CONCRETE = register("minecraft:blue_concrete");
    public static final ItemType BLUE_CONCRETE_POWDER = register("minecraft:blue_concrete_powder");
    public static final ItemType BLUE_GLAZED_TERRACOTTA = register("minecraft:blue_glazed_terracotta");
    public static final ItemType BLUE_ICE = register("minecraft:blue_ice");
    public static final ItemType BLUE_ORCHID = register("minecraft:blue_orchid");
    public static final ItemType BLUE_SHULKER_BOX = register("minecraft:blue_shulker_box");
    public static final ItemType BLUE_STAINED_GLASS = register("minecraft:blue_stained_glass");
    public static final ItemType BLUE_STAINED_GLASS_PANE = register("minecraft:blue_stained_glass_pane");
    public static final ItemType BLUE_TERRACOTTA = register("minecraft:blue_terracotta");
    public static final ItemType BLUE_WOOL = register("minecraft:blue_wool");
    public static final ItemType BONE = register("minecraft:bone");
    public static final ItemType BONE_BLOCK = register("minecraft:bone_block");
    public static final ItemType BONE_MEAL = register("minecraft:bone_meal");
    public static final ItemType BOOK = register("minecraft:book");
    public static final ItemType BOOKSHELF = register("minecraft:bookshelf");
    public static final ItemType BOW = register("minecraft:bow");
    public static final ItemType BOWL = register("minecraft:bowl");
    public static final ItemType BRAIN_CORAL = register("minecraft:brain_coral");
    public static final ItemType BRAIN_CORAL_BLOCK = register("minecraft:brain_coral_block");
    public static final ItemType BRAIN_CORAL_FAN = register("minecraft:brain_coral_fan");
    public static final ItemType BREAD = register("minecraft:bread");
    public static final ItemType BREWING_STAND = register("minecraft:brewing_stand");
    public static final ItemType BRICK = register("minecraft:brick");
    public static final ItemType BRICK_SLAB = register("minecraft:brick_slab");
    public static final ItemType BRICK_STAIRS = register("minecraft:brick_stairs");
    public static final ItemType BRICKS = register("minecraft:bricks");
    public static final ItemType BROWN_BANNER = register("minecraft:brown_banner");
    public static final ItemType BROWN_BED = register("minecraft:brown_bed");
    public static final ItemType BROWN_CARPET = register("minecraft:brown_carpet");
    public static final ItemType BROWN_CONCRETE = register("minecraft:brown_concrete");
    public static final ItemType BROWN_CONCRETE_POWDER = register("minecraft:brown_concrete_powder");
    public static final ItemType BROWN_GLAZED_TERRACOTTA = register("minecraft:brown_glazed_terracotta");
    public static final ItemType BROWN_MUSHROOM = register("minecraft:brown_mushroom");
    public static final ItemType BROWN_MUSHROOM_BLOCK = register("minecraft:brown_mushroom_block");
    public static final ItemType BROWN_SHULKER_BOX = register("minecraft:brown_shulker_box");
    public static final ItemType BROWN_STAINED_GLASS = register("minecraft:brown_stained_glass");
    public static final ItemType BROWN_STAINED_GLASS_PANE = register("minecraft:brown_stained_glass_pane");
    public static final ItemType BROWN_TERRACOTTA = register("minecraft:brown_terracotta");
    public static final ItemType BROWN_WOOL = register("minecraft:brown_wool");
    public static final ItemType BUBBLE_CORAL = register("minecraft:bubble_coral");
    public static final ItemType BUBBLE_CORAL_BLOCK = register("minecraft:bubble_coral_block");
    public static final ItemType BUBBLE_CORAL_FAN = register("minecraft:bubble_coral_fan");
    public static final ItemType BUCKET = register("minecraft:bucket");
    public static final ItemType CACTUS = register("minecraft:cactus");
    public static final ItemType CACTUS_GREEN = register("minecraft:cactus_green");
    public static final ItemType CAKE = register("minecraft:cake");
    public static final ItemType CARROT = register("minecraft:carrot");
    public static final ItemType CARROT_ON_A_STICK = register("minecraft:carrot_on_a_stick");
    public static final ItemType CARVED_PUMPKIN = register("minecraft:carved_pumpkin");
    public static final ItemType CAULDRON = register("minecraft:cauldron");
    public static final ItemType CAVE_SPIDER_SPAWN_EGG = register("minecraft:cave_spider_spawn_egg");
    public static final ItemType CHAIN_COMMAND_BLOCK = register("minecraft:chain_command_block");
    public static final ItemType CHAINMAIL_BOOTS = register("minecraft:chainmail_boots");
    public static final ItemType CHAINMAIL_CHESTPLATE = register("minecraft:chainmail_chestplate");
    public static final ItemType CHAINMAIL_HELMET = register("minecraft:chainmail_helmet");
    public static final ItemType CHAINMAIL_LEGGINGS = register("minecraft:chainmail_leggings");
    public static final ItemType CHARCOAL = register("minecraft:charcoal");
    public static final ItemType CHEST = register("minecraft:chest");
    public static final ItemType CHEST_MINECART = register("minecraft:chest_minecart");
    public static final ItemType CHICKEN = register("minecraft:chicken");
    public static final ItemType CHICKEN_SPAWN_EGG = register("minecraft:chicken_spawn_egg");
    public static final ItemType CHIPPED_ANVIL = register("minecraft:chipped_anvil");
    public static final ItemType CHISELED_QUARTZ_BLOCK = register("minecraft:chiseled_quartz_block");
    public static final ItemType CHISELED_RED_SANDSTONE = register("minecraft:chiseled_red_sandstone");
    public static final ItemType CHISELED_SANDSTONE = register("minecraft:chiseled_sandstone");
    public static final ItemType CHISELED_STONE_BRICKS = register("minecraft:chiseled_stone_bricks");
    public static final ItemType CHORUS_FLOWER = register("minecraft:chorus_flower");
    public static final ItemType CHORUS_FRUIT = register("minecraft:chorus_fruit");
    public static final ItemType CHORUS_PLANT = register("minecraft:chorus_plant");
    public static final ItemType CLAY = register("minecraft:clay");
    public static final ItemType CLAY_BALL = register("minecraft:clay_ball");
    public static final ItemType CLOCK = register("minecraft:clock");
    public static final ItemType COAL = register("minecraft:coal");
    public static final ItemType COAL_BLOCK = register("minecraft:coal_block");
    public static final ItemType COAL_ORE = register("minecraft:coal_ore");
    public static final ItemType COARSE_DIRT = register("minecraft:coarse_dirt");
    public static final ItemType COBBLESTONE = register("minecraft:cobblestone");
    public static final ItemType COBBLESTONE_SLAB = register("minecraft:cobblestone_slab");
    public static final ItemType COBBLESTONE_STAIRS = register("minecraft:cobblestone_stairs");
    public static final ItemType COBBLESTONE_WALL = register("minecraft:cobblestone_wall");
    public static final ItemType COBWEB = register("minecraft:cobweb");
    public static final ItemType COCOA_BEANS = register("minecraft:cocoa_beans");
    public static final ItemType COD = register("minecraft:cod");
    public static final ItemType COD_BUCKET = register("minecraft:cod_bucket");
    public static final ItemType COD_SPAWN_EGG = register("minecraft:cod_spawn_egg");
    public static final ItemType COMMAND_BLOCK = register("minecraft:command_block");
    public static final ItemType COMMAND_BLOCK_MINECART = register("minecraft:command_block_minecart");
    public static final ItemType COMPARATOR = register("minecraft:comparator");
    public static final ItemType COMPASS = register("minecraft:compass");
    public static final ItemType CONDUIT = register("minecraft:conduit");
    public static final ItemType COOKED_BEEF = register("minecraft:cooked_beef");
    public static final ItemType COOKED_CHICKEN = register("minecraft:cooked_chicken");
    public static final ItemType COOKED_COD = register("minecraft:cooked_cod");
    public static final ItemType COOKED_MUTTON = register("minecraft:cooked_mutton");
    public static final ItemType COOKED_PORKCHOP = register("minecraft:cooked_porkchop");
    public static final ItemType COOKED_RABBIT = register("minecraft:cooked_rabbit");
    public static final ItemType COOKED_SALMON = register("minecraft:cooked_salmon");
    public static final ItemType COOKIE = register("minecraft:cookie");
    public static final ItemType COW_SPAWN_EGG = register("minecraft:cow_spawn_egg");
    public static final ItemType CRACKED_STONE_BRICKS = register("minecraft:cracked_stone_bricks");
    public static final ItemType CRAFTING_TABLE = register("minecraft:crafting_table");
    public static final ItemType CREEPER_HEAD = register("minecraft:creeper_head");
    public static final ItemType CREEPER_SPAWN_EGG = register("minecraft:creeper_spawn_egg");
    public static final ItemType CUT_RED_SANDSTONE = register("minecraft:cut_red_sandstone");
    public static final ItemType CUT_SANDSTONE = register("minecraft:cut_sandstone");
    public static final ItemType CYAN_BANNER = register("minecraft:cyan_banner");
    public static final ItemType CYAN_BED = register("minecraft:cyan_bed");
    public static final ItemType CYAN_CARPET = register("minecraft:cyan_carpet");
    public static final ItemType CYAN_CONCRETE = register("minecraft:cyan_concrete");
    public static final ItemType CYAN_CONCRETE_POWDER = register("minecraft:cyan_concrete_powder");
    public static final ItemType CYAN_DYE = register("minecraft:cyan_dye");
    public static final ItemType CYAN_GLAZED_TERRACOTTA = register("minecraft:cyan_glazed_terracotta");
    public static final ItemType CYAN_SHULKER_BOX = register("minecraft:cyan_shulker_box");
    public static final ItemType CYAN_STAINED_GLASS = register("minecraft:cyan_stained_glass");
    public static final ItemType CYAN_STAINED_GLASS_PANE = register("minecraft:cyan_stained_glass_pane");
    public static final ItemType CYAN_TERRACOTTA = register("minecraft:cyan_terracotta");
    public static final ItemType CYAN_WOOL = register("minecraft:cyan_wool");
    public static final ItemType DAMAGED_ANVIL = register("minecraft:damaged_anvil");
    public static final ItemType DANDELION = register("minecraft:dandelion");
    public static final ItemType DANDELION_YELLOW = register("minecraft:dandelion_yellow");
    public static final ItemType DARK_OAK_BOAT = register("minecraft:dark_oak_boat");
    public static final ItemType DARK_OAK_BUTTON = register("minecraft:dark_oak_button");
    public static final ItemType DARK_OAK_DOOR = register("minecraft:dark_oak_door");
    public static final ItemType DARK_OAK_FENCE = register("minecraft:dark_oak_fence");
    public static final ItemType DARK_OAK_FENCE_GATE = register("minecraft:dark_oak_fence_gate");
    public static final ItemType DARK_OAK_LEAVES = register("minecraft:dark_oak_leaves");
    public static final ItemType DARK_OAK_LOG = register("minecraft:dark_oak_log");
    public static final ItemType DARK_OAK_PLANKS = register("minecraft:dark_oak_planks");
    public static final ItemType DARK_OAK_PRESSURE_PLATE = register("minecraft:dark_oak_pressure_plate");
    public static final ItemType DARK_OAK_SAPLING = register("minecraft:dark_oak_sapling");
    public static final ItemType DARK_OAK_SLAB = register("minecraft:dark_oak_slab");
    public static final ItemType DARK_OAK_STAIRS = register("minecraft:dark_oak_stairs");
    public static final ItemType DARK_OAK_TRAPDOOR = register("minecraft:dark_oak_trapdoor");
    public static final ItemType DARK_OAK_WOOD = register("minecraft:dark_oak_wood");
    public static final ItemType DARK_PRISMARINE = register("minecraft:dark_prismarine");
    public static final ItemType DARK_PRISMARINE_SLAB = register("minecraft:dark_prismarine_slab");
    public static final ItemType DARK_PRISMARINE_STAIRS = register("minecraft:dark_prismarine_stairs");
    public static final ItemType DAYLIGHT_DETECTOR = register("minecraft:daylight_detector");
    public static final ItemType DEAD_BRAIN_CORAL_BLOCK = register("minecraft:dead_brain_coral_block");
    public static final ItemType DEAD_BRAIN_CORAL_FAN = register("minecraft:dead_brain_coral_fan");
    public static final ItemType DEAD_BUBBLE_CORAL_BLOCK = register("minecraft:dead_bubble_coral_block");
    public static final ItemType DEAD_BUBBLE_CORAL_FAN = register("minecraft:dead_bubble_coral_fan");
    public static final ItemType DEAD_BUSH = register("minecraft:dead_bush");
    public static final ItemType DEAD_FIRE_CORAL_BLOCK = register("minecraft:dead_fire_coral_block");
    public static final ItemType DEAD_FIRE_CORAL_FAN = register("minecraft:dead_fire_coral_fan");
    public static final ItemType DEAD_HORN_CORAL_BLOCK = register("minecraft:dead_horn_coral_block");
    public static final ItemType DEAD_HORN_CORAL_FAN = register("minecraft:dead_horn_coral_fan");
    public static final ItemType DEAD_TUBE_CORAL_BLOCK = register("minecraft:dead_tube_coral_block");
    public static final ItemType DEAD_TUBE_CORAL_FAN = register("minecraft:dead_tube_coral_fan");
    public static final ItemType DEBUG_STICK = register("minecraft:debug_stick");
    public static final ItemType DETECTOR_RAIL = register("minecraft:detector_rail");
    public static final ItemType DIAMOND = register("minecraft:diamond");
    public static final ItemType DIAMOND_AXE = register("minecraft:diamond_axe");
    public static final ItemType DIAMOND_BLOCK = register("minecraft:diamond_block");
    public static final ItemType DIAMOND_BOOTS = register("minecraft:diamond_boots");
    public static final ItemType DIAMOND_CHESTPLATE = register("minecraft:diamond_chestplate");
    public static final ItemType DIAMOND_HELMET = register("minecraft:diamond_helmet");
    public static final ItemType DIAMOND_HOE = register("minecraft:diamond_hoe");
    public static final ItemType DIAMOND_HORSE_ARMOR = register("minecraft:diamond_horse_armor");
    public static final ItemType DIAMOND_LEGGINGS = register("minecraft:diamond_leggings");
    public static final ItemType DIAMOND_ORE = register("minecraft:diamond_ore");
    public static final ItemType DIAMOND_PICKAXE = register("minecraft:diamond_pickaxe");
    public static final ItemType DIAMOND_SHOVEL = register("minecraft:diamond_shovel");
    public static final ItemType DIAMOND_SWORD = register("minecraft:diamond_sword");
    public static final ItemType DIORITE = register("minecraft:diorite");
    public static final ItemType DIRT = register("minecraft:dirt");
    public static final ItemType DISPENSER = register("minecraft:dispenser");
    public static final ItemType DOLPHIN_SPAWN_EGG = register("minecraft:dolphin_spawn_egg");
    public static final ItemType DONKEY_SPAWN_EGG = register("minecraft:donkey_spawn_egg");
    public static final ItemType DRAGON_BREATH = register("minecraft:dragon_breath");
    public static final ItemType DRAGON_EGG = register("minecraft:dragon_egg");
    public static final ItemType DRAGON_HEAD = register("minecraft:dragon_head");
    public static final ItemType DRIED_KELP = register("minecraft:dried_kelp");
    public static final ItemType DRIED_KELP_BLOCK = register("minecraft:dried_kelp_block");
    public static final ItemType DROPPER = register("minecraft:dropper");
    public static final ItemType DROWNED_SPAWN_EGG = register("minecraft:drowned_spawn_egg");
    public static final ItemType EGG = register("minecraft:egg");
    public static final ItemType ELDER_GUARDIAN_SPAWN_EGG = register("minecraft:elder_guardian_spawn_egg");
    public static final ItemType ELYTRA = register("minecraft:elytra");
    public static final ItemType EMERALD = register("minecraft:emerald");
    public static final ItemType EMERALD_BLOCK = register("minecraft:emerald_block");
    public static final ItemType EMERALD_ORE = register("minecraft:emerald_ore");
    public static final ItemType ENCHANTED_BOOK = register("minecraft:enchanted_book");
    public static final ItemType ENCHANTED_GOLDEN_APPLE = register("minecraft:enchanted_golden_apple");
    public static final ItemType ENCHANTING_TABLE = register("minecraft:enchanting_table");
    public static final ItemType END_CRYSTAL = register("minecraft:end_crystal");
    public static final ItemType END_PORTAL_FRAME = register("minecraft:end_portal_frame");
    public static final ItemType END_ROD = register("minecraft:end_rod");
    public static final ItemType END_STONE = register("minecraft:end_stone");
    public static final ItemType END_STONE_BRICKS = register("minecraft:end_stone_bricks");
    public static final ItemType ENDER_CHEST = register("minecraft:ender_chest");
    public static final ItemType ENDER_EYE = register("minecraft:ender_eye");
    public static final ItemType ENDER_PEARL = register("minecraft:ender_pearl");
    public static final ItemType ENDERMAN_SPAWN_EGG = register("minecraft:enderman_spawn_egg");
    public static final ItemType ENDERMITE_SPAWN_EGG = register("minecraft:endermite_spawn_egg");
    public static final ItemType EVOKER_SPAWN_EGG = register("minecraft:evoker_spawn_egg");
    public static final ItemType EXPERIENCE_BOTTLE = register("minecraft:experience_bottle");
    public static final ItemType FARMLAND = register("minecraft:farmland");
    public static final ItemType FEATHER = register("minecraft:feather");
    public static final ItemType FERMENTED_SPIDER_EYE = register("minecraft:fermented_spider_eye");
    public static final ItemType FERN = register("minecraft:fern");
    public static final ItemType FILLED_MAP = register("minecraft:filled_map");
    public static final ItemType FIRE_CHARGE = register("minecraft:fire_charge");
    public static final ItemType FIRE_CORAL = register("minecraft:fire_coral");
    public static final ItemType FIRE_CORAL_BLOCK = register("minecraft:fire_coral_block");
    public static final ItemType FIRE_CORAL_FAN = register("minecraft:fire_coral_fan");
    public static final ItemType FIREWORK_ROCKET = register("minecraft:firework_rocket");
    public static final ItemType FIREWORK_STAR = register("minecraft:firework_star");
    public static final ItemType FISHING_ROD = register("minecraft:fishing_rod");
    public static final ItemType FLINT = register("minecraft:flint");
    public static final ItemType FLINT_AND_STEEL = register("minecraft:flint_and_steel");
    public static final ItemType FLOWER_POT = register("minecraft:flower_pot");
    public static final ItemType FURNACE = register("minecraft:furnace");
    public static final ItemType FURNACE_MINECART = register("minecraft:furnace_minecart");
    public static final ItemType GHAST_SPAWN_EGG = register("minecraft:ghast_spawn_egg");
    public static final ItemType GHAST_TEAR = register("minecraft:ghast_tear");
    public static final ItemType GLASS = register("minecraft:glass");
    public static final ItemType GLASS_BOTTLE = register("minecraft:glass_bottle");
    public static final ItemType GLASS_PANE = register("minecraft:glass_pane");
    public static final ItemType GLISTERING_MELON_SLICE = register("minecraft:glistering_melon_slice");
    public static final ItemType GLOWSTONE = register("minecraft:glowstone");
    public static final ItemType GLOWSTONE_DUST = register("minecraft:glowstone_dust");
    public static final ItemType GOLD_BLOCK = register("minecraft:gold_block");
    public static final ItemType GOLD_INGOT = register("minecraft:gold_ingot");
    public static final ItemType GOLD_NUGGET = register("minecraft:gold_nugget");
    public static final ItemType GOLD_ORE = register("minecraft:gold_ore");
    public static final ItemType GOLDEN_APPLE = register("minecraft:golden_apple");
    public static final ItemType GOLDEN_AXE = register("minecraft:golden_axe");
    public static final ItemType GOLDEN_BOOTS = register("minecraft:golden_boots");
    public static final ItemType GOLDEN_CARROT = register("minecraft:golden_carrot");
    public static final ItemType GOLDEN_CHESTPLATE = register("minecraft:golden_chestplate");
    public static final ItemType GOLDEN_HELMET = register("minecraft:golden_helmet");
    public static final ItemType GOLDEN_HOE = register("minecraft:golden_hoe");
    public static final ItemType GOLDEN_HORSE_ARMOR = register("minecraft:golden_horse_armor");
    public static final ItemType GOLDEN_LEGGINGS = register("minecraft:golden_leggings");
    public static final ItemType GOLDEN_PICKAXE = register("minecraft:golden_pickaxe");
    public static final ItemType GOLDEN_SHOVEL = register("minecraft:golden_shovel");
    public static final ItemType GOLDEN_SWORD = register("minecraft:golden_sword");
    public static final ItemType GRANITE = register("minecraft:granite");
    public static final ItemType GRASS = register("minecraft:grass");
    public static final ItemType GRASS_BLOCK = register("minecraft:grass_block");
    public static final ItemType GRASS_PATH = register("minecraft:grass_path");
    public static final ItemType GRAVEL = register("minecraft:gravel");
    public static final ItemType GRAY_BANNER = register("minecraft:gray_banner");
    public static final ItemType GRAY_BED = register("minecraft:gray_bed");
    public static final ItemType GRAY_CARPET = register("minecraft:gray_carpet");
    public static final ItemType GRAY_CONCRETE = register("minecraft:gray_concrete");
    public static final ItemType GRAY_CONCRETE_POWDER = register("minecraft:gray_concrete_powder");
    public static final ItemType GRAY_DYE = register("minecraft:gray_dye");
    public static final ItemType GRAY_GLAZED_TERRACOTTA = register("minecraft:gray_glazed_terracotta");
    public static final ItemType GRAY_SHULKER_BOX = register("minecraft:gray_shulker_box");
    public static final ItemType GRAY_STAINED_GLASS = register("minecraft:gray_stained_glass");
    public static final ItemType GRAY_STAINED_GLASS_PANE = register("minecraft:gray_stained_glass_pane");
    public static final ItemType GRAY_TERRACOTTA = register("minecraft:gray_terracotta");
    public static final ItemType GRAY_WOOL = register("minecraft:gray_wool");
    public static final ItemType GREEN_BANNER = register("minecraft:green_banner");
    public static final ItemType GREEN_BED = register("minecraft:green_bed");
    public static final ItemType GREEN_CARPET = register("minecraft:green_carpet");
    public static final ItemType GREEN_CONCRETE = register("minecraft:green_concrete");
    public static final ItemType GREEN_CONCRETE_POWDER = register("minecraft:green_concrete_powder");
    public static final ItemType GREEN_GLAZED_TERRACOTTA = register("minecraft:green_glazed_terracotta");
    public static final ItemType GREEN_SHULKER_BOX = register("minecraft:green_shulker_box");
    public static final ItemType GREEN_STAINED_GLASS = register("minecraft:green_stained_glass");
    public static final ItemType GREEN_STAINED_GLASS_PANE = register("minecraft:green_stained_glass_pane");
    public static final ItemType GREEN_TERRACOTTA = register("minecraft:green_terracotta");
    public static final ItemType GREEN_WOOL = register("minecraft:green_wool");
    public static final ItemType GUARDIAN_SPAWN_EGG = register("minecraft:guardian_spawn_egg");
    public static final ItemType GUNPOWDER = register("minecraft:gunpowder");
    public static final ItemType HAY_BLOCK = register("minecraft:hay_block");
    public static final ItemType HEART_OF_THE_SEA = register("minecraft:heart_of_the_sea");
    public static final ItemType HEAVY_WEIGHTED_PRESSURE_PLATE = register("minecraft:heavy_weighted_pressure_plate");
    public static final ItemType HOPPER = register("minecraft:hopper");
    public static final ItemType HOPPER_MINECART = register("minecraft:hopper_minecart");
    public static final ItemType HORN_CORAL = register("minecraft:horn_coral");
    public static final ItemType HORN_CORAL_BLOCK = register("minecraft:horn_coral_block");
    public static final ItemType HORN_CORAL_FAN = register("minecraft:horn_coral_fan");
    public static final ItemType HORSE_SPAWN_EGG = register("minecraft:horse_spawn_egg");
    public static final ItemType HUSK_SPAWN_EGG = register("minecraft:husk_spawn_egg");
    public static final ItemType ICE = register("minecraft:ice");
    public static final ItemType INFESTED_CHISELED_STONE_BRICKS = register("minecraft:infested_chiseled_stone_bricks");
    public static final ItemType INFESTED_COBBLESTONE = register("minecraft:infested_cobblestone");
    public static final ItemType INFESTED_CRACKED_STONE_BRICKS = register("minecraft:infested_cracked_stone_bricks");
    public static final ItemType INFESTED_MOSSY_STONE_BRICKS = register("minecraft:infested_mossy_stone_bricks");
    public static final ItemType INFESTED_STONE = register("minecraft:infested_stone");
    public static final ItemType INFESTED_STONE_BRICKS = register("minecraft:infested_stone_bricks");
    public static final ItemType INK_SAC = register("minecraft:ink_sac");
    public static final ItemType IRON_AXE = register("minecraft:iron_axe");
    public static final ItemType IRON_BARS = register("minecraft:iron_bars");
    public static final ItemType IRON_BLOCK = register("minecraft:iron_block");
    public static final ItemType IRON_BOOTS = register("minecraft:iron_boots");
    public static final ItemType IRON_CHESTPLATE = register("minecraft:iron_chestplate");
    public static final ItemType IRON_DOOR = register("minecraft:iron_door");
    public static final ItemType IRON_HELMET = register("minecraft:iron_helmet");
    public static final ItemType IRON_HOE = register("minecraft:iron_hoe");
    public static final ItemType IRON_HORSE_ARMOR = register("minecraft:iron_horse_armor");
    public static final ItemType IRON_INGOT = register("minecraft:iron_ingot");
    public static final ItemType IRON_LEGGINGS = register("minecraft:iron_leggings");
    public static final ItemType IRON_NUGGET = register("minecraft:iron_nugget");
    public static final ItemType IRON_ORE = register("minecraft:iron_ore");
    public static final ItemType IRON_PICKAXE = register("minecraft:iron_pickaxe");
    public static final ItemType IRON_SHOVEL = register("minecraft:iron_shovel");
    public static final ItemType IRON_SWORD = register("minecraft:iron_sword");
    public static final ItemType IRON_TRAPDOOR = register("minecraft:iron_trapdoor");
    public static final ItemType ITEM_FRAME = register("minecraft:item_frame");
    public static final ItemType JACK_O_LANTERN = register("minecraft:jack_o_lantern");
    public static final ItemType JUKEBOX = register("minecraft:jukebox");
    public static final ItemType JUNGLE_BOAT = register("minecraft:jungle_boat");
    public static final ItemType JUNGLE_BUTTON = register("minecraft:jungle_button");
    public static final ItemType JUNGLE_DOOR = register("minecraft:jungle_door");
    public static final ItemType JUNGLE_FENCE = register("minecraft:jungle_fence");
    public static final ItemType JUNGLE_FENCE_GATE = register("minecraft:jungle_fence_gate");
    public static final ItemType JUNGLE_LEAVES = register("minecraft:jungle_leaves");
    public static final ItemType JUNGLE_LOG = register("minecraft:jungle_log");
    public static final ItemType JUNGLE_PLANKS = register("minecraft:jungle_planks");
    public static final ItemType JUNGLE_PRESSURE_PLATE = register("minecraft:jungle_pressure_plate");
    public static final ItemType JUNGLE_SAPLING = register("minecraft:jungle_sapling");
    public static final ItemType JUNGLE_SLAB = register("minecraft:jungle_slab");
    public static final ItemType JUNGLE_STAIRS = register("minecraft:jungle_stairs");
    public static final ItemType JUNGLE_TRAPDOOR = register("minecraft:jungle_trapdoor");
    public static final ItemType JUNGLE_WOOD = register("minecraft:jungle_wood");
    public static final ItemType KELP = register("minecraft:kelp");
    public static final ItemType KNOWLEDGE_BOOK = register("minecraft:knowledge_book");
    public static final ItemType LADDER = register("minecraft:ladder");
    public static final ItemType LAPIS_BLOCK = register("minecraft:lapis_block");
    public static final ItemType LAPIS_LAZULI = register("minecraft:lapis_lazuli");
    public static final ItemType LAPIS_ORE = register("minecraft:lapis_ore");
    public static final ItemType LARGE_FERN = register("minecraft:large_fern");
    public static final ItemType LAVA_BUCKET = register("minecraft:lava_bucket");
    public static final ItemType LEAD = register("minecraft:lead");
    public static final ItemType LEATHER = register("minecraft:leather");
    public static final ItemType LEATHER_BOOTS = register("minecraft:leather_boots");
    public static final ItemType LEATHER_CHESTPLATE = register("minecraft:leather_chestplate");
    public static final ItemType LEATHER_HELMET = register("minecraft:leather_helmet");
    public static final ItemType LEATHER_LEGGINGS = register("minecraft:leather_leggings");
    public static final ItemType LEVER = register("minecraft:lever");
    public static final ItemType LIGHT_BLUE_BANNER = register("minecraft:light_blue_banner");
    public static final ItemType LIGHT_BLUE_BED = register("minecraft:light_blue_bed");
    public static final ItemType LIGHT_BLUE_CARPET = register("minecraft:light_blue_carpet");
    public static final ItemType LIGHT_BLUE_CONCRETE = register("minecraft:light_blue_concrete");
    public static final ItemType LIGHT_BLUE_CONCRETE_POWDER = register("minecraft:light_blue_concrete_powder");
    public static final ItemType LIGHT_BLUE_DYE = register("minecraft:light_blue_dye");
    public static final ItemType LIGHT_BLUE_GLAZED_TERRACOTTA = register("minecraft:light_blue_glazed_terracotta");
    public static final ItemType LIGHT_BLUE_SHULKER_BOX = register("minecraft:light_blue_shulker_box");
    public static final ItemType LIGHT_BLUE_STAINED_GLASS = register("minecraft:light_blue_stained_glass");
    public static final ItemType LIGHT_BLUE_STAINED_GLASS_PANE = register("minecraft:light_blue_stained_glass_pane");
    public static final ItemType LIGHT_BLUE_TERRACOTTA = register("minecraft:light_blue_terracotta");
    public static final ItemType LIGHT_BLUE_WOOL = register("minecraft:light_blue_wool");
    public static final ItemType LIGHT_GRAY_BANNER = register("minecraft:light_gray_banner");
    public static final ItemType LIGHT_GRAY_BED = register("minecraft:light_gray_bed");
    public static final ItemType LIGHT_GRAY_CARPET = register("minecraft:light_gray_carpet");
    public static final ItemType LIGHT_GRAY_CONCRETE = register("minecraft:light_gray_concrete");
    public static final ItemType LIGHT_GRAY_CONCRETE_POWDER = register("minecraft:light_gray_concrete_powder");
    public static final ItemType LIGHT_GRAY_DYE = register("minecraft:light_gray_dye");
    public static final ItemType LIGHT_GRAY_GLAZED_TERRACOTTA = register("minecraft:light_gray_glazed_terracotta");
    public static final ItemType LIGHT_GRAY_SHULKER_BOX = register("minecraft:light_gray_shulker_box");
    public static final ItemType LIGHT_GRAY_STAINED_GLASS = register("minecraft:light_gray_stained_glass");
    public static final ItemType LIGHT_GRAY_STAINED_GLASS_PANE = register("minecraft:light_gray_stained_glass_pane");
    public static final ItemType LIGHT_GRAY_TERRACOTTA = register("minecraft:light_gray_terracotta");
    public static final ItemType LIGHT_GRAY_WOOL = register("minecraft:light_gray_wool");
    public static final ItemType LIGHT_WEIGHTED_PRESSURE_PLATE = register("minecraft:light_weighted_pressure_plate");
    public static final ItemType LILAC = register("minecraft:lilac");
    public static final ItemType LILY_PAD = register("minecraft:lily_pad");
    public static final ItemType LIME_BANNER = register("minecraft:lime_banner");
    public static final ItemType LIME_BED = register("minecraft:lime_bed");
    public static final ItemType LIME_CARPET = register("minecraft:lime_carpet");
    public static final ItemType LIME_CONCRETE = register("minecraft:lime_concrete");
    public static final ItemType LIME_CONCRETE_POWDER = register("minecraft:lime_concrete_powder");
    public static final ItemType LIME_DYE = register("minecraft:lime_dye");
    public static final ItemType LIME_GLAZED_TERRACOTTA = register("minecraft:lime_glazed_terracotta");
    public static final ItemType LIME_SHULKER_BOX = register("minecraft:lime_shulker_box");
    public static final ItemType LIME_STAINED_GLASS = register("minecraft:lime_stained_glass");
    public static final ItemType LIME_STAINED_GLASS_PANE = register("minecraft:lime_stained_glass_pane");
    public static final ItemType LIME_TERRACOTTA = register("minecraft:lime_terracotta");
    public static final ItemType LIME_WOOL = register("minecraft:lime_wool");
    public static final ItemType LINGERING_POTION = register("minecraft:lingering_potion");
    public static final ItemType LLAMA_SPAWN_EGG = register("minecraft:llama_spawn_egg");
    public static final ItemType MAGENTA_BANNER = register("minecraft:magenta_banner");
    public static final ItemType MAGENTA_BED = register("minecraft:magenta_bed");
    public static final ItemType MAGENTA_CARPET = register("minecraft:magenta_carpet");
    public static final ItemType MAGENTA_CONCRETE = register("minecraft:magenta_concrete");
    public static final ItemType MAGENTA_CONCRETE_POWDER = register("minecraft:magenta_concrete_powder");
    public static final ItemType MAGENTA_DYE = register("minecraft:magenta_dye");
    public static final ItemType MAGENTA_GLAZED_TERRACOTTA = register("minecraft:magenta_glazed_terracotta");
    public static final ItemType MAGENTA_SHULKER_BOX = register("minecraft:magenta_shulker_box");
    public static final ItemType MAGENTA_STAINED_GLASS = register("minecraft:magenta_stained_glass");
    public static final ItemType MAGENTA_STAINED_GLASS_PANE = register("minecraft:magenta_stained_glass_pane");
    public static final ItemType MAGENTA_TERRACOTTA = register("minecraft:magenta_terracotta");
    public static final ItemType MAGENTA_WOOL = register("minecraft:magenta_wool");
    public static final ItemType MAGMA_BLOCK = register("minecraft:magma_block");
    public static final ItemType MAGMA_CREAM = register("minecraft:magma_cream");
    public static final ItemType MAGMA_CUBE_SPAWN_EGG = register("minecraft:magma_cube_spawn_egg");
    public static final ItemType MAP = register("minecraft:map");
    public static final ItemType MELON = register("minecraft:melon");
    public static final ItemType MELON_SEEDS = register("minecraft:melon_seeds");
    public static final ItemType MELON_SLICE = register("minecraft:melon_slice");
    public static final ItemType MILK_BUCKET = register("minecraft:milk_bucket");
    public static final ItemType MINECART = register("minecraft:minecart");
    public static final ItemType MOOSHROOM_SPAWN_EGG = register("minecraft:mooshroom_spawn_egg");
    public static final ItemType MOSSY_COBBLESTONE = register("minecraft:mossy_cobblestone");
    public static final ItemType MOSSY_COBBLESTONE_WALL = register("minecraft:mossy_cobblestone_wall");
    public static final ItemType MOSSY_STONE_BRICKS = register("minecraft:mossy_stone_bricks");
    public static final ItemType MULE_SPAWN_EGG = register("minecraft:mule_spawn_egg");
    public static final ItemType MUSHROOM_STEM = register("minecraft:mushroom_stem");
    public static final ItemType MUSHROOM_STEW = register("minecraft:mushroom_stew");
    public static final ItemType MUSIC_DISC_11 = register("minecraft:music_disc_11");
    public static final ItemType MUSIC_DISC_13 = register("minecraft:music_disc_13");
    public static final ItemType MUSIC_DISC_BLOCKS = register("minecraft:music_disc_blocks");
    public static final ItemType MUSIC_DISC_CAT = register("minecraft:music_disc_cat");
    public static final ItemType MUSIC_DISC_CHIRP = register("minecraft:music_disc_chirp");
    public static final ItemType MUSIC_DISC_FAR = register("minecraft:music_disc_far");
    public static final ItemType MUSIC_DISC_MALL = register("minecraft:music_disc_mall");
    public static final ItemType MUSIC_DISC_MELLOHI = register("minecraft:music_disc_mellohi");
    public static final ItemType MUSIC_DISC_STAL = register("minecraft:music_disc_stal");
    public static final ItemType MUSIC_DISC_STRAD = register("minecraft:music_disc_strad");
    public static final ItemType MUSIC_DISC_WAIT = register("minecraft:music_disc_wait");
    public static final ItemType MUSIC_DISC_WARD = register("minecraft:music_disc_ward");
    public static final ItemType MUTTON = register("minecraft:mutton");
    public static final ItemType MYCELIUM = register("minecraft:mycelium");
    public static final ItemType NAME_TAG = register("minecraft:name_tag");
    public static final ItemType NAUTILUS_SHELL = register("minecraft:nautilus_shell");
    public static final ItemType NETHER_BRICK = register("minecraft:nether_brick");
    public static final ItemType NETHER_BRICK_FENCE = register("minecraft:nether_brick_fence");
    public static final ItemType NETHER_BRICK_SLAB = register("minecraft:nether_brick_slab");
    public static final ItemType NETHER_BRICK_STAIRS = register("minecraft:nether_brick_stairs");
    public static final ItemType NETHER_BRICKS = register("minecraft:nether_bricks");
    public static final ItemType NETHER_QUARTZ_ORE = register("minecraft:nether_quartz_ore");
    public static final ItemType NETHER_STAR = register("minecraft:nether_star");
    public static final ItemType NETHER_WART = register("minecraft:nether_wart");
    public static final ItemType NETHER_WART_BLOCK = register("minecraft:nether_wart_block");
    public static final ItemType NETHERRACK = register("minecraft:netherrack");
    public static final ItemType NOTE_BLOCK = register("minecraft:note_block");
    public static final ItemType OAK_BOAT = register("minecraft:oak_boat");
    public static final ItemType OAK_BUTTON = register("minecraft:oak_button");
    public static final ItemType OAK_DOOR = register("minecraft:oak_door");
    public static final ItemType OAK_FENCE = register("minecraft:oak_fence");
    public static final ItemType OAK_FENCE_GATE = register("minecraft:oak_fence_gate");
    public static final ItemType OAK_LEAVES = register("minecraft:oak_leaves");
    public static final ItemType OAK_LOG = register("minecraft:oak_log");
    public static final ItemType OAK_PLANKS = register("minecraft:oak_planks");
    public static final ItemType OAK_PRESSURE_PLATE = register("minecraft:oak_pressure_plate");
    public static final ItemType OAK_SAPLING = register("minecraft:oak_sapling");
    public static final ItemType OAK_SLAB = register("minecraft:oak_slab");
    public static final ItemType OAK_STAIRS = register("minecraft:oak_stairs");
    public static final ItemType OAK_TRAPDOOR = register("minecraft:oak_trapdoor");
    public static final ItemType OAK_WOOD = register("minecraft:oak_wood");
    public static final ItemType OBSERVER = register("minecraft:observer");
    public static final ItemType OBSIDIAN = register("minecraft:obsidian");
    public static final ItemType OCELOT_SPAWN_EGG = register("minecraft:ocelot_spawn_egg");
    public static final ItemType ORANGE_BANNER = register("minecraft:orange_banner");
    public static final ItemType ORANGE_BED = register("minecraft:orange_bed");
    public static final ItemType ORANGE_CARPET = register("minecraft:orange_carpet");
    public static final ItemType ORANGE_CONCRETE = register("minecraft:orange_concrete");
    public static final ItemType ORANGE_CONCRETE_POWDER = register("minecraft:orange_concrete_powder");
    public static final ItemType ORANGE_DYE = register("minecraft:orange_dye");
    public static final ItemType ORANGE_GLAZED_TERRACOTTA = register("minecraft:orange_glazed_terracotta");
    public static final ItemType ORANGE_SHULKER_BOX = register("minecraft:orange_shulker_box");
    public static final ItemType ORANGE_STAINED_GLASS = register("minecraft:orange_stained_glass");
    public static final ItemType ORANGE_STAINED_GLASS_PANE = register("minecraft:orange_stained_glass_pane");
    public static final ItemType ORANGE_TERRACOTTA = register("minecraft:orange_terracotta");
    public static final ItemType ORANGE_TULIP = register("minecraft:orange_tulip");
    public static final ItemType ORANGE_WOOL = register("minecraft:orange_wool");
    public static final ItemType OXEYE_DAISY = register("minecraft:oxeye_daisy");
    public static final ItemType PACKED_ICE = register("minecraft:packed_ice");
    public static final ItemType PAINTING = register("minecraft:painting");
    public static final ItemType PAPER = register("minecraft:paper");
    public static final ItemType PARROT_SPAWN_EGG = register("minecraft:parrot_spawn_egg");
    public static final ItemType PEONY = register("minecraft:peony");
    public static final ItemType PETRIFIED_OAK_SLAB = register("minecraft:petrified_oak_slab");
    public static final ItemType PHANTOM_MEMBRANE = register("minecraft:phantom_membrane");
    public static final ItemType PHANTOM_SPAWN_EGG = register("minecraft:phantom_spawn_egg");
    public static final ItemType PIG_SPAWN_EGG = register("minecraft:pig_spawn_egg");
    public static final ItemType PINK_BANNER = register("minecraft:pink_banner");
    public static final ItemType PINK_BED = register("minecraft:pink_bed");
    public static final ItemType PINK_CARPET = register("minecraft:pink_carpet");
    public static final ItemType PINK_CONCRETE = register("minecraft:pink_concrete");
    public static final ItemType PINK_CONCRETE_POWDER = register("minecraft:pink_concrete_powder");
    public static final ItemType PINK_DYE = register("minecraft:pink_dye");
    public static final ItemType PINK_GLAZED_TERRACOTTA = register("minecraft:pink_glazed_terracotta");
    public static final ItemType PINK_SHULKER_BOX = register("minecraft:pink_shulker_box");
    public static final ItemType PINK_STAINED_GLASS = register("minecraft:pink_stained_glass");
    public static final ItemType PINK_STAINED_GLASS_PANE = register("minecraft:pink_stained_glass_pane");
    public static final ItemType PINK_TERRACOTTA = register("minecraft:pink_terracotta");
    public static final ItemType PINK_TULIP = register("minecraft:pink_tulip");
    public static final ItemType PINK_WOOL = register("minecraft:pink_wool");
    public static final ItemType PISTON = register("minecraft:piston");
    public static final ItemType PLAYER_HEAD = register("minecraft:player_head");
    public static final ItemType PODZOL = register("minecraft:podzol");
    public static final ItemType POISONOUS_POTATO = register("minecraft:poisonous_potato");
    public static final ItemType POLAR_BEAR_SPAWN_EGG = register("minecraft:polar_bear_spawn_egg");
    public static final ItemType POLISHED_ANDESITE = register("minecraft:polished_andesite");
    public static final ItemType POLISHED_DIORITE = register("minecraft:polished_diorite");
    public static final ItemType POLISHED_GRANITE = register("minecraft:polished_granite");
    public static final ItemType POPPED_CHORUS_FRUIT = register("minecraft:popped_chorus_fruit");
    public static final ItemType POPPY = register("minecraft:poppy");
    public static final ItemType PORKCHOP = register("minecraft:porkchop");
    public static final ItemType POTATO = register("minecraft:potato");
    public static final ItemType POTION = register("minecraft:potion");
    public static final ItemType POWERED_RAIL = register("minecraft:powered_rail");
    public static final ItemType PRISMARINE = register("minecraft:prismarine");
    public static final ItemType PRISMARINE_BRICK_SLAB = register("minecraft:prismarine_brick_slab");
    public static final ItemType PRISMARINE_BRICK_STAIRS = register("minecraft:prismarine_brick_stairs");
    public static final ItemType PRISMARINE_BRICKS = register("minecraft:prismarine_bricks");
    public static final ItemType PRISMARINE_CRYSTALS = register("minecraft:prismarine_crystals");
    public static final ItemType PRISMARINE_SHARD = register("minecraft:prismarine_shard");
    public static final ItemType PRISMARINE_SLAB = register("minecraft:prismarine_slab");
    public static final ItemType PRISMARINE_STAIRS = register("minecraft:prismarine_stairs");
    public static final ItemType PUFFERFISH = register("minecraft:pufferfish");
    public static final ItemType PUFFERFISH_BUCKET = register("minecraft:pufferfish_bucket");
    public static final ItemType PUFFERFISH_SPAWN_EGG = register("minecraft:pufferfish_spawn_egg");
    public static final ItemType PUMPKIN = register("minecraft:pumpkin");
    public static final ItemType PUMPKIN_PIE = register("minecraft:pumpkin_pie");
    public static final ItemType PUMPKIN_SEEDS = register("minecraft:pumpkin_seeds");
    public static final ItemType PURPLE_BANNER = register("minecraft:purple_banner");
    public static final ItemType PURPLE_BED = register("minecraft:purple_bed");
    public static final ItemType PURPLE_CARPET = register("minecraft:purple_carpet");
    public static final ItemType PURPLE_CONCRETE = register("minecraft:purple_concrete");
    public static final ItemType PURPLE_CONCRETE_POWDER = register("minecraft:purple_concrete_powder");
    public static final ItemType PURPLE_DYE = register("minecraft:purple_dye");
    public static final ItemType PURPLE_GLAZED_TERRACOTTA = register("minecraft:purple_glazed_terracotta");
    public static final ItemType PURPLE_SHULKER_BOX = register("minecraft:purple_shulker_box");
    public static final ItemType PURPLE_STAINED_GLASS = register("minecraft:purple_stained_glass");
    public static final ItemType PURPLE_STAINED_GLASS_PANE = register("minecraft:purple_stained_glass_pane");
    public static final ItemType PURPLE_TERRACOTTA = register("minecraft:purple_terracotta");
    public static final ItemType PURPLE_WOOL = register("minecraft:purple_wool");
    public static final ItemType PURPUR_BLOCK = register("minecraft:purpur_block");
    public static final ItemType PURPUR_PILLAR = register("minecraft:purpur_pillar");
    public static final ItemType PURPUR_SLAB = register("minecraft:purpur_slab");
    public static final ItemType PURPUR_STAIRS = register("minecraft:purpur_stairs");
    public static final ItemType QUARTZ = register("minecraft:quartz");
    public static final ItemType QUARTZ_BLOCK = register("minecraft:quartz_block");
    public static final ItemType QUARTZ_PILLAR = register("minecraft:quartz_pillar");
    public static final ItemType QUARTZ_SLAB = register("minecraft:quartz_slab");
    public static final ItemType QUARTZ_STAIRS = register("minecraft:quartz_stairs");
    public static final ItemType RABBIT = register("minecraft:rabbit");
    public static final ItemType RABBIT_FOOT = register("minecraft:rabbit_foot");
    public static final ItemType RABBIT_HIDE = register("minecraft:rabbit_hide");
    public static final ItemType RABBIT_SPAWN_EGG = register("minecraft:rabbit_spawn_egg");
    public static final ItemType RABBIT_STEW = register("minecraft:rabbit_stew");
    public static final ItemType RAIL = register("minecraft:rail");
    public static final ItemType RED_BANNER = register("minecraft:red_banner");
    public static final ItemType RED_BED = register("minecraft:red_bed");
    public static final ItemType RED_CARPET = register("minecraft:red_carpet");
    public static final ItemType RED_CONCRETE = register("minecraft:red_concrete");
    public static final ItemType RED_CONCRETE_POWDER = register("minecraft:red_concrete_powder");
    public static final ItemType RED_GLAZED_TERRACOTTA = register("minecraft:red_glazed_terracotta");
    public static final ItemType RED_MUSHROOM = register("minecraft:red_mushroom");
    public static final ItemType RED_MUSHROOM_BLOCK = register("minecraft:red_mushroom_block");
    public static final ItemType RED_NETHER_BRICKS = register("minecraft:red_nether_bricks");
    public static final ItemType RED_SAND = register("minecraft:red_sand");
    public static final ItemType RED_SANDSTONE = register("minecraft:red_sandstone");
    public static final ItemType RED_SANDSTONE_SLAB = register("minecraft:red_sandstone_slab");
    public static final ItemType RED_SANDSTONE_STAIRS = register("minecraft:red_sandstone_stairs");
    public static final ItemType RED_SHULKER_BOX = register("minecraft:red_shulker_box");
    public static final ItemType RED_STAINED_GLASS = register("minecraft:red_stained_glass");
    public static final ItemType RED_STAINED_GLASS_PANE = register("minecraft:red_stained_glass_pane");
    public static final ItemType RED_TERRACOTTA = register("minecraft:red_terracotta");
    public static final ItemType RED_TULIP = register("minecraft:red_tulip");
    public static final ItemType RED_WOOL = register("minecraft:red_wool");
    public static final ItemType REDSTONE = register("minecraft:redstone");
    public static final ItemType REDSTONE_BLOCK = register("minecraft:redstone_block");
    public static final ItemType REDSTONE_LAMP = register("minecraft:redstone_lamp");
    public static final ItemType REDSTONE_ORE = register("minecraft:redstone_ore");
    public static final ItemType REDSTONE_TORCH = register("minecraft:redstone_torch");
    public static final ItemType REPEATER = register("minecraft:repeater");
    public static final ItemType REPEATING_COMMAND_BLOCK = register("minecraft:repeating_command_block");
    public static final ItemType ROSE_BUSH = register("minecraft:rose_bush");
    public static final ItemType ROSE_RED = register("minecraft:rose_red");
    public static final ItemType ROTTEN_FLESH = register("minecraft:rotten_flesh");
    public static final ItemType SADDLE = register("minecraft:saddle");
    public static final ItemType SALMON = register("minecraft:salmon");
    public static final ItemType SALMON_BUCKET = register("minecraft:salmon_bucket");
    public static final ItemType SALMON_SPAWN_EGG = register("minecraft:salmon_spawn_egg");
    public static final ItemType SAND = register("minecraft:sand");
    public static final ItemType SANDSTONE = register("minecraft:sandstone");
    public static final ItemType SANDSTONE_SLAB = register("minecraft:sandstone_slab");
    public static final ItemType SANDSTONE_STAIRS = register("minecraft:sandstone_stairs");
    public static final ItemType SCUTE = register("minecraft:scute");
    public static final ItemType SEA_LANTERN = register("minecraft:sea_lantern");
    public static final ItemType SEA_PICKLE = register("minecraft:sea_pickle");
    public static final ItemType SEAGRASS = register("minecraft:seagrass");
    public static final ItemType SHEARS = register("minecraft:shears");
    public static final ItemType SHEEP_SPAWN_EGG = register("minecraft:sheep_spawn_egg");
    public static final ItemType SHIELD = register("minecraft:shield");
    public static final ItemType SHULKER_BOX = register("minecraft:shulker_box");
    public static final ItemType SHULKER_SHELL = register("minecraft:shulker_shell");
    public static final ItemType SHULKER_SPAWN_EGG = register("minecraft:shulker_spawn_egg");
    public static final ItemType SIGN = register("minecraft:sign");
    public static final ItemType SILVERFISH_SPAWN_EGG = register("minecraft:silverfish_spawn_egg");
    public static final ItemType SKELETON_HORSE_SPAWN_EGG = register("minecraft:skeleton_horse_spawn_egg");
    public static final ItemType SKELETON_SKULL = register("minecraft:skeleton_skull");
    public static final ItemType SKELETON_SPAWN_EGG = register("minecraft:skeleton_spawn_egg");
    public static final ItemType SLIME_BALL = register("minecraft:slime_ball");
    public static final ItemType SLIME_BLOCK = register("minecraft:slime_block");
    public static final ItemType SLIME_SPAWN_EGG = register("minecraft:slime_spawn_egg");
    public static final ItemType SMOOTH_QUARTZ = register("minecraft:smooth_quartz");
    public static final ItemType SMOOTH_RED_SANDSTONE = register("minecraft:smooth_red_sandstone");
    public static final ItemType SMOOTH_SANDSTONE = register("minecraft:smooth_sandstone");
    public static final ItemType SMOOTH_STONE = register("minecraft:smooth_stone");
    public static final ItemType SNOW = register("minecraft:snow");
    public static final ItemType SNOW_BLOCK = register("minecraft:snow_block");
    public static final ItemType SNOWBALL = register("minecraft:snowball");
    public static final ItemType SOUL_SAND = register("minecraft:soul_sand");
    public static final ItemType SPAWNER = register("minecraft:spawner");
    public static final ItemType SPECTRAL_ARROW = register("minecraft:spectral_arrow");
    public static final ItemType SPIDER_EYE = register("minecraft:spider_eye");
    public static final ItemType SPIDER_SPAWN_EGG = register("minecraft:spider_spawn_egg");
    public static final ItemType SPLASH_POTION = register("minecraft:splash_potion");
    public static final ItemType SPONGE = register("minecraft:sponge");
    public static final ItemType SPRUCE_BOAT = register("minecraft:spruce_boat");
    public static final ItemType SPRUCE_BUTTON = register("minecraft:spruce_button");
    public static final ItemType SPRUCE_DOOR = register("minecraft:spruce_door");
    public static final ItemType SPRUCE_FENCE = register("minecraft:spruce_fence");
    public static final ItemType SPRUCE_FENCE_GATE = register("minecraft:spruce_fence_gate");
    public static final ItemType SPRUCE_LEAVES = register("minecraft:spruce_leaves");
    public static final ItemType SPRUCE_LOG = register("minecraft:spruce_log");
    public static final ItemType SPRUCE_PLANKS = register("minecraft:spruce_planks");
    public static final ItemType SPRUCE_PRESSURE_PLATE = register("minecraft:spruce_pressure_plate");
    public static final ItemType SPRUCE_SAPLING = register("minecraft:spruce_sapling");
    public static final ItemType SPRUCE_SLAB = register("minecraft:spruce_slab");
    public static final ItemType SPRUCE_STAIRS = register("minecraft:spruce_stairs");
    public static final ItemType SPRUCE_TRAPDOOR = register("minecraft:spruce_trapdoor");
    public static final ItemType SPRUCE_WOOD = register("minecraft:spruce_wood");
    public static final ItemType SQUID_SPAWN_EGG = register("minecraft:squid_spawn_egg");
    public static final ItemType STICK = register("minecraft:stick");
    public static final ItemType STICKY_PISTON = register("minecraft:sticky_piston");
    public static final ItemType STONE = register("minecraft:stone");
    public static final ItemType STONE_AXE = register("minecraft:stone_axe");
    public static final ItemType STONE_BRICK_SLAB = register("minecraft:stone_brick_slab");
    public static final ItemType STONE_BRICK_STAIRS = register("minecraft:stone_brick_stairs");
    public static final ItemType STONE_BRICKS = register("minecraft:stone_bricks");
    public static final ItemType STONE_BUTTON = register("minecraft:stone_button");
    public static final ItemType STONE_HOE = register("minecraft:stone_hoe");
    public static final ItemType STONE_PICKAXE = register("minecraft:stone_pickaxe");
    public static final ItemType STONE_PRESSURE_PLATE = register("minecraft:stone_pressure_plate");
    public static final ItemType STONE_SHOVEL = register("minecraft:stone_shovel");
    public static final ItemType STONE_SLAB = register("minecraft:stone_slab");
    public static final ItemType STONE_SWORD = register("minecraft:stone_sword");
    public static final ItemType STRAY_SPAWN_EGG = register("minecraft:stray_spawn_egg");
    public static final ItemType STRING = register("minecraft:string");
    public static final ItemType STRIPPED_ACACIA_LOG = register("minecraft:stripped_acacia_log");
    public static final ItemType STRIPPED_ACACIA_WOOD = register("minecraft:stripped_acacia_wood");
    public static final ItemType STRIPPED_BIRCH_LOG = register("minecraft:stripped_birch_log");
    public static final ItemType STRIPPED_BIRCH_WOOD = register("minecraft:stripped_birch_wood");
    public static final ItemType STRIPPED_DARK_OAK_LOG = register("minecraft:stripped_dark_oak_log");
    public static final ItemType STRIPPED_DARK_OAK_WOOD = register("minecraft:stripped_dark_oak_wood");
    public static final ItemType STRIPPED_JUNGLE_LOG = register("minecraft:stripped_jungle_log");
    public static final ItemType STRIPPED_JUNGLE_WOOD = register("minecraft:stripped_jungle_wood");
    public static final ItemType STRIPPED_OAK_LOG = register("minecraft:stripped_oak_log");
    public static final ItemType STRIPPED_OAK_WOOD = register("minecraft:stripped_oak_wood");
    public static final ItemType STRIPPED_SPRUCE_LOG = register("minecraft:stripped_spruce_log");
    public static final ItemType STRIPPED_SPRUCE_WOOD = register("minecraft:stripped_spruce_wood");
    public static final ItemType STRUCTURE_BLOCK = register("minecraft:structure_block");
    public static final ItemType STRUCTURE_VOID = register("minecraft:structure_void");
    public static final ItemType SUGAR = register("minecraft:sugar");
    public static final ItemType SUGAR_CANE = register("minecraft:sugar_cane");
    public static final ItemType SUNFLOWER = register("minecraft:sunflower");
    public static final ItemType TALL_GRASS = register("minecraft:tall_grass");
    public static final ItemType TERRACOTTA = register("minecraft:terracotta");
    public static final ItemType TIPPED_ARROW = register("minecraft:tipped_arrow");
    public static final ItemType TNT = register("minecraft:tnt");
    public static final ItemType TNT_MINECART = register("minecraft:tnt_minecart");
    public static final ItemType TORCH = register("minecraft:torch");
    public static final ItemType TOTEM_OF_UNDYING = register("minecraft:totem_of_undying");
    public static final ItemType TRAPPED_CHEST = register("minecraft:trapped_chest");
    public static final ItemType TRIDENT = register("minecraft:trident");
    public static final ItemType TRIPWIRE_HOOK = register("minecraft:tripwire_hook");
    public static final ItemType TROPICAL_FISH = register("minecraft:tropical_fish");
    public static final ItemType TROPICAL_FISH_BUCKET = register("minecraft:tropical_fish_bucket");
    public static final ItemType TROPICAL_FISH_SPAWN_EGG = register("minecraft:tropical_fish_spawn_egg");
    public static final ItemType TUBE_CORAL = register("minecraft:tube_coral");
    public static final ItemType TUBE_CORAL_BLOCK = register("minecraft:tube_coral_block");
    public static final ItemType TUBE_CORAL_FAN = register("minecraft:tube_coral_fan");
    public static final ItemType TURTLE_EGG = register("minecraft:turtle_egg");
    public static final ItemType TURTLE_HELMET = register("minecraft:turtle_helmet");
    public static final ItemType TURTLE_SPAWN_EGG = register("minecraft:turtle_spawn_egg");
    public static final ItemType VEX_SPAWN_EGG = register("minecraft:vex_spawn_egg");
    public static final ItemType VILLAGER_SPAWN_EGG = register("minecraft:villager_spawn_egg");
    public static final ItemType VINDICATOR_SPAWN_EGG = register("minecraft:vindicator_spawn_egg");
    public static final ItemType VINE = register("minecraft:vine");
    public static final ItemType WATER_BUCKET = register("minecraft:water_bucket");
    public static final ItemType WET_SPONGE = register("minecraft:wet_sponge");
    public static final ItemType WHEAT = register("minecraft:wheat");
    public static final ItemType WHEAT_SEEDS = register("minecraft:wheat_seeds");
    public static final ItemType WHITE_BANNER = register("minecraft:white_banner");
    public static final ItemType WHITE_BED = register("minecraft:white_bed");
    public static final ItemType WHITE_CARPET = register("minecraft:white_carpet");
    public static final ItemType WHITE_CONCRETE = register("minecraft:white_concrete");
    public static final ItemType WHITE_CONCRETE_POWDER = register("minecraft:white_concrete_powder");
    public static final ItemType WHITE_GLAZED_TERRACOTTA = register("minecraft:white_glazed_terracotta");
    public static final ItemType WHITE_SHULKER_BOX = register("minecraft:white_shulker_box");
    public static final ItemType WHITE_STAINED_GLASS = register("minecraft:white_stained_glass");
    public static final ItemType WHITE_STAINED_GLASS_PANE = register("minecraft:white_stained_glass_pane");
    public static final ItemType WHITE_TERRACOTTA = register("minecraft:white_terracotta");
    public static final ItemType WHITE_TULIP = register("minecraft:white_tulip");
    public static final ItemType WHITE_WOOL = register("minecraft:white_wool");
    public static final ItemType WITCH_SPAWN_EGG = register("minecraft:witch_spawn_egg");
    public static final ItemType WITHER_SKELETON_SKULL = register("minecraft:wither_skeleton_skull");
    public static final ItemType WITHER_SKELETON_SPAWN_EGG = register("minecraft:wither_skeleton_spawn_egg");
    public static final ItemType WOLF_SPAWN_EGG = register("minecraft:wolf_spawn_egg");
    public static final ItemType WOODEN_AXE = register("minecraft:wooden_axe");
    public static final ItemType WOODEN_HOE = register("minecraft:wooden_hoe");
    public static final ItemType WOODEN_PICKAXE = register("minecraft:wooden_pickaxe");
    public static final ItemType WOODEN_SHOVEL = register("minecraft:wooden_shovel");
    public static final ItemType WOODEN_SWORD = register("minecraft:wooden_sword");
    public static final ItemType WRITABLE_BOOK = register("minecraft:writable_book");
    public static final ItemType WRITTEN_BOOK = register("minecraft:written_book");
    public static final ItemType YELLOW_BANNER = register("minecraft:yellow_banner");
    public static final ItemType YELLOW_BED = register("minecraft:yellow_bed");
    public static final ItemType YELLOW_CARPET = register("minecraft:yellow_carpet");
    public static final ItemType YELLOW_CONCRETE = register("minecraft:yellow_concrete");
    public static final ItemType YELLOW_CONCRETE_POWDER = register("minecraft:yellow_concrete_powder");
    public static final ItemType YELLOW_GLAZED_TERRACOTTA = register("minecraft:yellow_glazed_terracotta");
    public static final ItemType YELLOW_SHULKER_BOX = register("minecraft:yellow_shulker_box");
    public static final ItemType YELLOW_STAINED_GLASS = register("minecraft:yellow_stained_glass");
    public static final ItemType YELLOW_STAINED_GLASS_PANE = register("minecraft:yellow_stained_glass_pane");
    public static final ItemType YELLOW_TERRACOTTA = register("minecraft:yellow_terracotta");
    public static final ItemType YELLOW_WOOL = register("minecraft:yellow_wool");
    public static final ItemType ZOMBIE_HEAD = register("minecraft:zombie_head");
    public static final ItemType ZOMBIE_HORSE_SPAWN_EGG = register("minecraft:zombie_horse_spawn_egg");
    public static final ItemType ZOMBIE_PIGMAN_SPAWN_EGG = register("minecraft:zombie_pigman_spawn_egg");
    public static final ItemType ZOMBIE_SPAWN_EGG = register("minecraft:zombie_spawn_egg");
    public static final ItemType ZOMBIE_VILLAGER_SPAWN_EGG = register("minecraft:zombie_villager_spawn_egg");

    private ItemTypes() {
    }

    private static ItemType register(final String id) {
        return register(new ItemType(id));
    }

    public static ItemType register(final ItemType item) {
        return ItemType.REGISTRY.register(item.getId(), item);
    }

    public static @Nullable ItemType get(final String id) {
        return ItemType.REGISTRY.get(id);
    }
}
